WHEREIS(1)

NAZWA
whereis - znajdź pliki binarne, źródłowe i strony podręcznika dla danego polecenia

SKŁADNIA
whereis [opcje] [-BMS katalog... -f] nazwa_pliku...

OPIS
whereis lokalizuje pliki binarne, źródłowe i podręczniki systemowe dla zadanych nazw poleceń. Z podanych nazw wstępnie usuwana jest początkowa składowa określająca ścieżkę oraz ewentualne (pojedyncze) kończące rozszerzenie postaci .ext, np. .c. Przedrostki s. wynikające z użycia kontroli kodu źródłowego są również obsługiwane. Następnie whereis usiłuje zlokalizować położenie żądanego programu, posługując się listą standardowych miejsc linuksowych oraz w miejscach określonych zmiennymi $PATH i $MANPATH.

Ograniczenia wyszukiwania (opcje -b, -m i -s) łączą się i są stosowane do kolejnych wzorów nazw w wierszu poleceń. Każde nowe ograniczenie wyszukiwania resetuje maskę szukania, np.

    whereis -bm ls tr -m gcc

wyszukuje stron podręcznika i plików binarnych do "ls" i "tr", a do "gcc" jedynie stron podręcznika systemowego.

Opcje -B, -M i -S resetują ścieżki szukania dla kolejnych wzorców nazw, np.

    whereis -m ls -M /usr/share/man/man1 -f cal

szuka podręczników systemowych do "ls" we wszystkich domyślnych ścieżkach, a do "cal" jedynie w katalogu /usr/share/man/man1.

OPCJE

-b
Szuka plików binarnych.

-m  Szuka podręczników systemowych.

-s  Szuka źródeł.

-u  Pokazuje jedynie nazwy poleceń z nietypowymi wpisami, tzn. te, które nie mają jednej pozycji dla każdego zadanego typu. Zatem "whereis -m -u *" wyszukuje pliki w bieżącym katalogu, które nie mają dokumentacji lub mają więcej niż jedną.

-B lista
    Ogranicza miejsca, gdzie whereis szuka plików binarnych do oddzielonej spacjami listy katalogów.

-M lista
    Ogranicza miejsca, gdzie whereis szuka podręczników systemowych i dokumentacji w formacie Info do oddzielonej spacjami listy katalogów.

-S lista
    Ogranicza miejsca, gdzie whereis szuka źródeł do oddzielonej spacjami listy katalogów.

-f  Kończy listę katalogów i sygnalizuje początek nazw plików. Musi być użyte, jeśli zastosowano jedną z opcji -B, -M lub -S.

-l  Wypisuje listę efektywnie przeszukiwanych ścieżek, której używa whereis. Gdy nie poda się żadnej z opcji -B, -M ani -S, wypisane zostaną ustalone na sztywno ścieżki, które polecenie było w stanie znaleźć w tym systemie.

PRZYKŁAD
Aby znaleźć wszystkie pliki w /usr/bin, które nie mają dokumentacji w /usr/share/man/man1 ani źródła w /usr/src:

    cd /usr/bin
    whereis -u -ms -M /usr/share/man/man1 -S /usr/src -f *

ŚCIEŻKI PRZESZUKIWANIA PLIKÓW
Domyślnie whereis próbuje znajdować pliki w zakodowanych na sztywno ścieżkach, które są zdefiniowane za pomocą masek. Polecenie próbuje skorzystać z zawartości zmiennych środowiskowych $PATH i $MANPATH jako domyślnych ścieżek wyszukiwania. Najprostszą metodą poznania tych ścieżek jest skorzystanie z opcji -l. Działanie opcji -B, -M i -S jest odzwierciedlone przez -l.

ŚRODOWISKO

WHEREIS_DEBUG=all
    włącza wyjście debugowania.

DOSTĘPNOŚĆ
Polecenie whereis jest częścią pakietu util-linux i jest dostępne z Archiwum jądra Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Wojtek Kotwica (PTM) <wkotwica@post.pl>, Robert Luberda <robert@debian.org> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.28 oryginału.